Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
nguyentan1991

mọi người cho mình hỏi về lệnh rải đối tượng

Các bài được khuyến nghị

trongluan    0

Có nhiều cách mà bạn!

1.Bạn dùng lệnh DIV:

- Bạn cho đối tượng cần rải là 1 Block, đặt tên cho Block,

- Dùng lệnh Div, chọn đối tượng sẽ rải( Ví dụ Spline, Line, đường tròn..),nhập lựa chọn 'B', nhập tên block cần chèn,nhập số block cần rải, cad sẽ hỏi là có xoay ko?bạn nhập lựa chọn 'Y' rồi enter, thế là xong

2.Bạn dùng lệnh Me: Cách làm tương tự như cách 1, nhưng ở đây cad sẽ họi bạn khoảng cách của đoạn cần rải, bạn nhập vào khoảng cách rồi làm giống hệt cách 1

3.Bạn có thể dùng lệnh Ar

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tot77    501

Ủa bạn xài lisp nào vậy? cái của tôi đâu có hỏi vuông góc gì đâu!!

Thôi gửi lại cho chắc ăn. Lisp này có thể dùng với spline nhưng với cung tròn thì có thể sai vì trên cung tròn không có điểm đầu điểm cuối gì cả. Nếu cung tron thì bạn dùng lệnh array của cad cũng được rồi.

 

(defun c:rvx(/ pl ss dd dc cd tm sl el en ang dd1 ang1 os)
  (defun thgoc (ent pt / param)
    (if (setq param (vlax-curve-getParamAtPoint ent pt))
      (- (angle '(0 0 0) (vlax-curve-getFirstDeriv ent param)) (/ pi 2))
      nil)
  )
  (command "ucs" "W")
  (setq pl (car (entsel "\nChon duong dan:")))
  (prompt "\nChon doi tuong can rai:")
  (setq ss (ssget)
dd (getpoint "\nDiem bat dau rai (nam tren duong dan) :")
dc (getpoint "\nDiem cuoi cung rai (nam tren duong dan) :")
cd (getreal "\nNhap buoc rai <Enter neu nhap so khoang rai>:")
tm (- (vlax-curve-getDistAtPoint pl dc) (vlax-curve-getDistAtPoint pl dd)))
  (if (< tm 0) (setq lenh -) (setq lenh +))
  (if (not cd)
    (setq sl (getint "\nNhap so khoang rai:")
 cd (/ (abs tm) sl))
    (setq sl (fix (/ (abs tm) cd))))
  
  (setq os (getvar "OSMODE"))  
  (setvar "OSMODE" 0)
  (repeat sl
    (setq el (entlast)
 ang (thgoc pl dd))
    (command "copy" ss "" dd (setq dd1 (vlax-curve-getPointAtDist pl
(lenh (vlax-curve-getDistAtPoint pl dd) cd))))
    (setq ss (ssadd)
 dd dd1
 ang1 (thgoc pl dd))
    (while (setq en (entnext el))
      (ssadd en ss)
      (setq el en))
    (command "rotate" ss "" dd "r" dd (polar dd ang 1) (polar dd ang1 1))
    )  
  (setvar "OSMODE" os) (command "ucs" "p")
  (princ)
)
 
 
 
 
  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

vâng , em nhầm sang lisp rải đối tượng vuông góc của 1 anh trên diễn đàn

bác có lisp nào rải đối tượng vuông góc ko ạ . Dạ, bác xem cho em lisp của anh này với, em thực hành mãi mà ko đc. Em cảm ơn ạ

http://www.cadviet.com/forum/topic/42771-da-xong-lisp-rai-doi-tuong-theo-doong-dan/

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×